Overview
GET
/content/bookmarksbookmarksList the caller's bookmarks (newest first, paginated)
List bookmarks.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- pagequery · optionalstring
- pageSizequery · optionalstring
- targetKindquery · optionalstring
Responses
200
A page of bookmarks
- itemsBookmark[]
- totalinteger
- pageinteger
- pageSizeinteger
Example
{
"items": [
{
"id": "string",
"customerId": "string",
"ecosystemId": "string",
"targetKind": "string",
"targetId": "string",
"notify": true,
"createdAt": "string",
"deletedAt": "string"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/bookmarks" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/bookmarks", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();